Updated up to FF 3.7 Rated 5 out of 5 stars

Since the available version doesn't works with FF 3.6 I'd updated the .xpi file to make it compatible up to FF 3.7

It's NOT official but I'd NOT included any malicious code inside. Test it by yourself if you doubts!

You can grab it from Megaupload at:
http://www.megaupload.com/?d=5FVPSAFG

For those who doesn't know how to edit & repack the xpi file by themselves. Tested by myself under FF 3.6 with no probs.

This review is for a previous version of the add-on (2.0.2.1).